import { jsx } from "react/jsx-runtime";
import { TokenRARI as TokenRARI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenRARI = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "RARI", "data-name": "TokenRARI", ...props, children: /* @__PURE__ */ jsx(TokenRARI$1, { variant }) });
  }
);
TokenRARI.displayName = "TokenRARI";
Object.assign(TokenRARI, { isGdsIcon: true });
export {
  TokenRARI
};
